Update a persona
PATCH
/v2/personas/{personaId}Request
Use this request to update or add details about a given persona, such as their last name or their phone number. TheaccountId is required and any other fields are optional, depending on what you want to update.
If updating your own persona, you can’t change the
status to deactivated.Path parameters
The ID of the persona that you want to update.Allowable values: An existing
personaId (≤ 36 characters)Query parameters
The ID of the account that you want to work with.Allowable values: An existing
accountId (≤ 36 characters)Request body schema
The persona’s email address.Allowable values: ≤ 256 characters
The persona’s employee number.Allowable values: ≤ 256 characters
The persona’s work phone number.Allowable values: ≤ 50 characters
The persona’s job title.Allowable values: ≤ 256 characters
The persona’s status.Allowable values:
active, deactivatedWhether or not the persona has opted to receive emails.Allowable values:
true, falseWhether or not the persona has opted to receive push notifications for all card transactions.Allowable values:
true, falseResponse
If your request is successful, you’ll receive a200 response containing the updated details for this persona.
Update a persona’s role
PATCH
/v2/personas/{personaId}/roleRequest
Use this request to update a persona’s role on a specified account. Learn more about the different role types.Path parameters
The ID of the persona that you want to update the role for.Allowable values: An existing
personaId (≤ 36 characters)Query parameters
The ID of the account that you want to work with.Allowable values: An existing
accountId (≤ 36 characters)Request body schema
The name of the new role that you want to assign to the persona.Allowable values:
Owner, Admin, Payer, Viewer, Accountant, UserResponse
If your request is successful, you’ll receive a200 response containing the name of this persona’s new role.
List roles
Request
Use this request to get a list of all roles that are currently supported.Query parameters
The maximum amount of results to return. By default, this is set to
100.Allowable values: [ 1 .. 1000 ]The amount of results to skip. By default, this is set to
0.Allowable values: A valid integerResponse
If your request is successful, you’ll receive a200 response containing a list of roles.